"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExecuteActivation {
    before(context) {
        const activationResult = context.getResult();
        try {
            const activationInfo = context.getActivation();
            const container = context.getContainer();
            let targetInstance = null;
            if (container.isBound(activationInfo.class.target)) {
                targetInstance = container.get(activationInfo.class.target);
            }
            else {
                targetInstance = Reflect.construct(activationInfo.class.target.prototype, []);
            }
            const result = targetInstance[activationInfo.method.name].apply(targetInstance, context.getArguments());
            activationResult.setSuccess(result);
        }
        catch (e) {
            activationResult.setError(e);
        }
        return activationResult.success;
    }
}
exports.ExecuteActivation = ExecuteActivation;
//# sourceMappingURL=execute.js.map